Directories
¶
| Path | Synopsis |
|---|---|
|
examples
|
|
|
pkg
|
|
|
kbin
Package kbin contains Kafka primitive reading and writing functions.
|
Package kbin contains Kafka primitive reading and writing functions. |
|
kerr
Package kerr contains Kafka errors.
|
Package kerr contains Kafka errors. |
|
kgo
Package kgo provides a pure Go efficient Kafka client for Kafka 0.8.0+ with support for transactions, regex topic consuming, the latest partition strategies, and more.
|
Package kgo provides a pure Go efficient Kafka client for Kafka 0.8.0+ with support for transactions, regex topic consuming, the latest partition strategies, and more. |
|
kgo/internal/sticky
Package sticky provides sticky partitioning strategy for Kafka, with a complete overhaul to be faster, more understandable, and optimal.
|
Package sticky provides sticky partitioning strategy for Kafka, with a complete overhaul to be faster, more understandable, and optimal. |
|
kmsg
Package kmsg contains Kafka request and response types and autogenerated serialization and deserialization functions.
|
Package kmsg contains Kafka request and response types and autogenerated serialization and deserialization functions. |
|
kversion
Package kversion specifies versions for Kafka request keys.
|
Package kversion specifies versions for Kafka request keys. |
|
sasl
Package sasl specifies interfaces that any sasl authentication must provide to interop with Kafka SASL.
|
Package sasl specifies interfaces that any sasl authentication must provide to interop with Kafka SASL. |
|
sasl/kerberos
Package scram provides Kerberos v5 sasl authentication.
|
Package scram provides Kerberos v5 sasl authentication. |
|
sasl/oauth
Package oauth provides OAUTHBEARER sasl authentication as specified in RFC7628.
|
Package oauth provides OAUTHBEARER sasl authentication as specified in RFC7628. |
|
sasl/plain
Package plain provides PLAIN sasl authentication as specified in RFC4616.
|
Package plain provides PLAIN sasl authentication as specified in RFC4616. |
|
sasl/scram
Package scram provides SCRAM-SHA-256 and SCRAM-SHA-512 sasl authentication as specified in RFC5802.
|
Package scram provides SCRAM-SHA-256 and SCRAM-SHA-512 sasl authentication as specified in RFC5802. |
|
kadm
module
|
|
|
kfake
module
|
|
|
sr
module
|
|
|
plugin
|
|
|
kgmetrics
module
|
|
|
klogr
module
|
|
|
klogrus
module
|
|
|
kotel
module
|
|
|
kphuslog
module
|
|
|
kprom
module
|
|
|
kslog
module
|
|
|
kvictoria
module
|
|
|
kzap
module
|
|
|
kzerolog
module
|
Click to show internal directories.
Click to hide internal directories.